const fs = require('fs');
const debug=require('debug')('gtfsr');
const express = require('express');
const router = express.Router();

const utils=require('../utils');

//GET listing
router.get('/', async function(req, res, next) {
    debug('gtfs-rt start...');
    try {

	const file = process.env.FILE||'foo.bar';
	debug('gtfs-rt:get() file: ' + file );


	const buffer = fs.readFileSync(file);
	if(buffer instanceof Buffer){
	    debug('gtfs-rt:get() buffer is instance of Buffer');
	    debug('buffer.length: ' + buffer.length);
	}else{
	    debug('gtfs-rt:get() buffer is NOT instance of Buffer');
	    res.status(err.statusCode || 500).json(utils.MSGS.error);
	}

	const DLOAD_FILE_NAME = process.env.DLOAD_FILE_NAME || 'blub.blub';
	debug('gtfs-rt:get() DLOAD_FILE_NAME: ' + DLOAD_FILE_NAME );

	res.writeHead(200, {
            //'Content-Type': mimetype,
	    'Content-Type': 'application/octet-stream',
            'Content-disposition': 'attachment;filename=' + DLOAD_FILE_NAME,
            'Content-Length': buffer.length
	});
	res.end(Buffer.from(buffer, 'binary'));

    } catch (err) {
	console.error(`Error: `, err.message);
	res.status(err.statusCode || 500).json(utils.MSGS.error);
    }
    debug('gtfs-rt done.');
});
module.exports = router;
