const debug=require('debug')('index');
const HTTPS = require('https');
const FS = require('fs');

debug('index start...');
const APP=require('./app/app');

//set port
const PORT=parseInt(process.env.PORT, 10)||65535;
debug('index: PORT: ' + PORT);

//pass 'APP' to server
debug('index: NODE_ENV: ' + process.env.NODE_ENV);
if (process.env.NODE_ENV !== 'production') {
    debug('index: development mode');
    APP.listen(PORT);
}else{
    debug('index: production mode');
    HTTPS.createServer({
	//TODO make key and cert available via config
        key: FS.readFileSync('./p'),
        cert: FS.readFileSync('./f')
    }, APP)
    .listen(PORT, ()=>debug('index: listening on port '+PORT));
}

debug('index: index done.');
